Skip to main content
GET
Retrieve all AVS

Headers

X-API-Token
string
required

API Token for authentication

Query Parameters

withTvl
enum<string>
default:false

Toggle whether the route should calculate the TVL from shares

Available options:
true,
false
Example:

"false"

withCuratedMetadata
enum<string>
default:false

Toggle whether the route should send curated metadata

Available options:
true,
false
Example:

"false"

searchMode
enum<string>
default:contains

Search mode

Available options:
contains,
startsWith
Example:

"contains"

searchByText
string

Case-insensitive search query

Example:

"eigen"

sortByApy
enum<string>

Sort results in asc or desc order of APY

Available options:
asc,
desc
Example:

"desc"

sortByTvl
enum<string>

Sort results in asc or desc order of TVL value

Available options:
asc,
desc
Example:

"desc"

sortByTotalStakers
enum<string>

Sort results in asc or desc order of total stakers

Available options:
asc,
desc
Example:

"desc"

sortByTotalOperators
enum<string>

Sort results in asc or desc order of total AVS (only valid for AVS queries)

Available options:
asc,
desc
Example:

"desc"

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The list of AVS records.

data
object[]
required
meta
object
required